import { TapStreamReader, TapStreamWriter } from './tap-stream-extended';
export interface TapStreamEncoderDecoder<DataType> {
    encode(v: DataType, stream: TapStreamWriter): void;
    decode(stream: TapStreamReader): DataType;
}
